aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorchriseth <chris@ethereum.org>2018-07-04 02:22:54 +0800
committerGitHub <noreply@github.com>2018-07-04 02:22:54 +0800
commit672bc7fc006738d4f61342d692e13a58edf47679 (patch)
tree9b0e9a299109d0eb8952f1a0d49837d5643b1a0c
parent58aeffb45b206e8b55c3ae1cbc1f5a86157482fb (diff)
parent260e044db5caee31b9337473673d21703b70e7fb (diff)
downloaddexon-solidity-672bc7fc006738d4f61342d692e13a58edf47679.tar
dexon-solidity-672bc7fc006738d4f61342d692e13a58edf47679.tar.gz
dexon-solidity-672bc7fc006738d4f61342d692e13a58edf47679.tar.bz2
dexon-solidity-672bc7fc006738d4f61342d692e13a58edf47679.tar.lz
dexon-solidity-672bc7fc006738d4f61342d692e13a58edf47679.tar.xz
dexon-solidity-672bc7fc006738d4f61342d692e13a58edf47679.tar.zst
dexon-solidity-672bc7fc006738d4f61342d692e13a58edf47679.zip
Merge pull request #4407 from ajsantander/exit-if-no-eth
Avoid hanging in tests.sh when IPC program is not found
-rwxr-xr-xscripts/tests.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/tests.sh b/scripts/tests.sh
index ffb5e7ef..7fb260bc 100755
--- a/scripts/tests.sh
+++ b/scripts/tests.sh
@@ -109,9 +109,18 @@ function run_eth()
sleep 2
}
+function check_eth() {
+ printTask "Running IPC tests with $ETH_PATH..."
+ if ! hash $ETH_PATH 2>/dev/null; then
+ printError "$ETH_PATH not found"
+ exit 1
+ fi
+}
+
if [ "$IPC_ENABLED" = true ];
then
download_eth
+ check_eth
ETH_PID=$(run_eth /tmp/test)
fi